package intrinsic.flash.display;

public class SimpleButton extends intrinsic.flash.display.InteractiveObject {

	/** Accessors */
	public intrinsic.flash.media.SoundTransform soundTransform;
	public intrinsic.flash.display.DisplayObject upState;
	public intrinsic.flash.display.DisplayObject hitTestState;
	public boolean useHandCursor;
	public boolean trackAsMenu;
	public boolean enabled;
	public intrinsic.flash.display.DisplayObject overState;
	public intrinsic.flash.display.DisplayObject downState;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SimpleButton() {
}

public SimpleButton(Object arg0) {
}

public SimpleButton(Object arg0, Object arg1) {
}

public SimpleButton(Object arg0, Object arg1, Object arg2) {
}

public SimpleButton(Object arg0, Object arg1, Object arg2, Object arg3) {
}


/** Static Methods */

/** Methods */

}
